import { get, post, PUBLISH_SERVICE, CITY_SERVICE, PANDA_GIS } from '@/services/index';
// 1.获取全部地图方案配置
export const GetAllConfig = param => get(`${CITY_SERVICE}/OMS.svc/GetAllConfig`, param);
// 2.获取元数据
export const GetMetaData = param => get(`${PANDA_GIS}/${param.mapServerName}`);

// 3.获取元数据新
export const GetMetaDataNew = param => get(`${CITY_SERVICE}/MapServer.svc/${param}`);
// 获取mapsetting配置
export const GetWebSiteConfig = param =>
  get(`${PANDA_GIS}/MapLayer/LayerSetting`, param, { timeout: 10000 });

// 获取图层列表
export const GetLayerList = param => get(`${PANDA_GIS}/MetaData/D_GetLayerList`, param);

// 查看元数据
export const GetMetaDataPreview = param => get(`${PANDA_GIS}/MetaData/D_GetMetaDataPreview`, param);

// 坐标系转换
export const GetTransformationGeom = param =>
  get(`${PANDA_GIS}/Transformation/GetTransformationGeomByMapServaerName`, param);

// 查看图层元数据
export const GetLayerMetaDataPreview = param =>
  get(`${PANDA_GIS}/MetaData/D_GetLayerMetaDataPreview`, param);

// 查看
export const LayerSetting = param => get(`${PANDA_GIS}/MapLayer/LayerSetting`, param);
